Bug 1572238 - When restart openvswitch, ovn-controller is not reprogramming the flows.
Summary: When restart openvswitch, ovn-controller is not reprogramming the flows.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates
Version: 13.0 (Queens)
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: beta
: 13.0 (Queens)
Assignee: Daniel Alvarez Sanchez
QA Contact: Eran Kuris
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-26 13:42 UTC by Daniel Alvarez Sanchez
Modified: 2019-09-09 15:50 UTC (History)
16 users (show)

Fixed In Version: openstack-tripleo-heat-templates-8.0.3-0.20180424184718.2bc778b.el7.centos
Doc Type: Bug Fix
Doc Text:
The openvswitch systemd script deletes the /run/openvswitch folder when stopping it in the host. The /run/openvswitch path inside the ovn-controller container becomes a stale directory. When the service is started again, it recreates the folder. In order for ovn-controller to access this folder again, the folder has to be remounted or the ovn-controller container restarted.
Clone Of: 1566412
Environment:
Last Closed: 2018-06-27 13:53:50 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
OpenStack gerrit 562538 0 None None None 2018-04-26 13:44:04 UTC
Red Hat Product Errata RHEA-2018:2086 0 None None None 2018-06-27 13:55:07 UTC

Comment 5 Daniel Alvarez Sanchez 2018-04-26 14:07:16 UTC
Please, note that proper fix would be when https://bugzilla.redhat.com/show_bug.cgi?id=1566412 is fixed.

Comment 7 Eran Kuris 2018-04-30 10:21:44 UTC
fix verified on 
rpm -qa| grep openstack-tripleo-heat-templates-8
openstack-tripleo-heat-templates-8.0.2-4.el7ost.noarch
 cat /etc/yum.repos.d/latest-installed 
13   -p 2018-04-26.3

verified on controller & compute nodes

Comment 9 errata-xmlrpc 2018-06-27 13:53:50 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2018:2086


Note You need to log in before you can comment on or make changes to this bug.